
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_DVDNAVDLG_H__8591C84B_4F43_4002_9AC5_B3EFA5601A00__INCLUDED_)
#define AFX_DVDNAVDLG_H__8591C84B_4F43_4002_9AC5_B3EFA5601A00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DvdNavDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDvdNavDlg dialog

// Forewards
class CPlayer;

class CDvdNavDlg : public CDialog
{
// Construction
public:
	CDvdNavDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDvdNavDlg)
	enum { IDD = IDD_DVD_NAV_DLG };
	CComboBox	m_ctrlComboTitle;
	CComboBox	m_ctrlComboChapter;
	CString	m_strStaticChapter;
	CString	m_strStaticDomain;
	CString	m_strStaticTitle;
	CString	m_strStaticDuration;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDvdNavDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDvdNavDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonGotoTitleChapter();
	afx_msg void OnCloseupComboTitle();
	afx_msg void OnButtonTitleMenu();
	afx_msg void OnButtonRootMenu();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// From CPlayer.
	LRESULT OnPlayerUpdate(WPARAM wParam, LPARAM lParam);	// WM_USER_DVD_NAV_UPDATE

private:
	int m_curSelTitleIndex;
	int m_curSelChapterIndex;

public:
	void SetDvdData();

public:
	CPlayer * m_pPlayer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DVDNAVDLG_H__8591C84B_4F43_4002_9AC5_B3EFA5601A00__INCLUDED_)
